# Makefile.in,v 1.1 1995/08/15 19:46:35 duane Exp

prefix = @prefix@
INSTALL_BINDIR	= $(prefix)/bin
INSTALL_LIBDIR	= $(prefix)/lib
INSTALL_MANDIR 	= $(prefix)/man

CC		= @CC@
INSTALL		= @INSTALL@
INSTALL_BIN 	= @INSTALL_PROGRAM@
INSTALL_FILE 	= @INSTALL_DATA@
RANLIB		= @RANLIB@


CFLAGS		= -O
CRCC		= arc.c ccitt.c kermit.c binhex.c ccitt32.c zip.c
CRCO		= arc.o ccitt.o kermit.o binhex.o ccitt32.o zip.o
LIB		= libcrc.a

all: $(LIB)

$(LIB):		$(CRCO)
	ar r $(LIB) $(CRCO)
	$(RANLIB) $(LIB)

clean:
	-rm -f $(CRCC) $(CRCO) $(LIB) makecrc makecrc.o

realclean: clean
	-rm -f Makefile

$(CRCC):	makecrc
	./makecrc

makecrc:	makecrc.o
	$(CC) $(CFLAGS) -o makecrc makecrc.o

install: all

arc.o:		arc.c
ccitt.o:	ccitt.c
kermit.o:	kermit.c
binhex.o:	binhex.c
ccitt32.o:	ccitt32.c
zip.o:		zip.c
